Ubuntu one crashes in scan()

Bug #692496 reported by Zygmunt Krynicki on 2010-12-20
72
This bug affects 15 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Status tracked in Trunk
Stable-1-4
Medium
Guillermo Gonzalez
Trunk
Medium
Guillermo Gonzalez
ubuntuone-client (Ubuntu)
Medium
dobey
Maverick
Medium
dobey
Natty
Medium
dobey

Bug Description

Binary package hint: ubuntuone-client

My files are not synchronized correctly. I started checking why and found that u1syncdaemon crashes on startup:

2010-12-20 11:03:00,014 - twisted - ERROR - Unhandled error in Deferred:
2010-12-20 11:03:00,015 - twisted - ERROR - Unhandled Error
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.6/ubuntuone/syncdaemon/local_rescan.py", line 333, in _scan_tree
    d.addCallbacks(self._scan_one_dir)
  File "/usr/lib/python2.6/dist-packages/twisted/internet/defer.py", line 249, in addCallbacks
    self._runCallbacks()
  File "/usr/lib/python2.6/dist-packages/twisted/internet/defer.py", line 441, in _runCallbacks
    self.result = callback(self.result, *args, **kw)
  File "/usr/lib/pymodules/python2.6/ubuntuone/syncdaemon/local_rescan.py", line 675, in _scan_one_dir
    d = defer.execute(scan)
--- <exception caught here> ---
  File "/usr/lib/python2.6/dist-packages/twisted/internet/defer.py", line 96, in execute
    result = callable(*args, **kw)
  File "/usr/lib/pymodules/python2.6/ubuntuone/syncdaemon/local_rescan.py", line 635, in scan
    share)
  File "/usr/lib/pymodules/python2.6/ubuntuone/syncdaemon/local_rescan.py", line 486, in _compare
    different = self.check_stat(fullname, statinfo)
  File "/usr/lib/pymodules/python2.6/ubuntuone/syncdaemon/local_rescan.py", line 363, in check_stat
    different = (newstat.st_ino != oldstat.st_ino or
exceptions.AttributeError: 'NoneType' object has no attribute 'st_ino'

----

TEST CASE:
1. Create a new file: ~/Ubuntu One/692496.txt and wait until it is synced
2. Open Applications > Accessories > Terminal and run:
u1sdtool --info=/home/$USER/Ubuntu\ One/692496.txt

3. Copy mdid output from the command above and use below in place of $MDID-FROM-STEP2:
u1sdtool -q
cd /tmp
wget https://bugs.launchpad.net/ubuntu/+source/ubuntuone-client/+bug/692496/+attachment/1870999/+files/692496_test.py
python 692496_test.py --mdid=$MDID-FROM-STEP2
u1sdtool -c

Result: Syncdaemon errors and crashes: exceptions.AttributeError: 'NoneType' object has no attribute 'st_ino'

Expected result: No syncdaemon error and syncdaemon continues to run properly, scanning files

----

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: ubuntuone-client 1.4.5-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-24.42-generic 2.6.35.8
Uname: Linux 2.6.35-24-generic x86_64
NonfreeKernelModules: vmblock vsock vmci vmhgfs
Architecture: amd64
Date: Mon Dec 20 11:04:53 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate amd64 (20100928)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=pl_PL.utf8
 SHELL=/bin/bash
SourcePackage: ubuntuone-client
UbuntuOneUserSyncdaemonConfig:
 [bandwidth_throttling]
 read_limit = 2097152
 write_limit = 2097152
 on = False

Related branches

Zygmunt Krynicki (zyga) wrote :
tags: added: chicharra chicharra-natty foundations+
Changed in ubuntuone-client:
assignee: nobody → Ubuntu One Foundations+ team (ubuntuone-foundations+)
Changed in ubuntuone-client:
status: New → Triaged
assignee: Ubuntu One Foundations+ team (ubuntuone-foundations+) → Guillermo Gonzalez (verterok)
importance: Undecided → Medium
Changed in ubuntuone-client:
status: Triaged → In Progress
Zygmunt Krynicki (zyga) wrote :

I've built package from maverick source + this fix and got u1syncdaemon to start and work correctly.

Changed in ubuntuone-client:
status: In Progress → Fix Committed
dobey (dobey) on 2011-01-07
Changed in ubuntuone-client (Ubuntu Natty):
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → Medium
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.5.2-0ubuntu1

---------------
ubuntuone-client (1.5.2-0ubuntu1) natty; urgency=low

  * New upstream release.
    - ImportError: No module named tools (LP: #692566)
    - Preferences doesn't display info properly (LP: #657850)
    - Ubuntu One crashes in scan() (LP: #692496)A
    - Provide a specific login D-Bus service (LP: #697211)
 -- Rodney Dawes <email address hidden> Fri, 07 Jan 2011 10:36:49 -0500

Changed in ubuntuone-client (Ubuntu Natty):
status: In Progress → Fix Released
Luis Carlos Cobo (luiscarlos) wrote :

Is the package in Maverick going to be updated with the fix?

dobey (dobey) wrote :

Yes, but we need to coordinate some other fixes for an SRU to Maverick.

tags: added: support
dobey (dobey) on 2011-02-18
Changed in ubuntuone-client (Ubuntu Maverick):
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → Medium
milestone: none → maverick-updates
status: New → In Progress

Accepted ubuntuone-client into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntuone-client (Ubuntu Maverick):
status: In Progress → Fix Committed
tags: added: verification-needed
RapierTG (rapier) wrote :

Works pretty well now. This bug is fixed for me. Thanks.

Martin Pitt (pitti) on 2011-02-24
tags: added: verification-done
removed: verification-needed
Joshua Hoover (joshuahoover) wrote :

Script to help run test case

description: updated
description: updated
Joshua Hoover (joshuahoover) wrote :

Verified fixed on maverick with proposed update: ubuntuone-client 1.4.6-0ubuntu1

I have similar problem on ubuntu 10.10 x86.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.4.6-0ubuntu2

---------------
ubuntuone-client (1.4.6-0ubuntu2) maverick-proposed; urgency=low

  * 01-get-published-race.path:
    - Fix a race condition with requesting published files (LP: #661292)

ubuntuone-client (1.4.6-0ubuntu1) maverick-proposed; urgency=low

  * New upstream release.
    - SD deletes files when local error on partial creation (LP: #657195)
    - Partials fail to be created with "filename too long" (LP: #662660)
    - New shares to me are not downloaded (LP: #664019)
    - Deleting UDF on one computer does not delete elsewhere (LP: #674092)
    - Preferences does not display info properly (LP: #657850)
    - "Out of Space" dialog is broken (LP: #650671)
    - Nautilus allows publishing files in others' shares (LP: #712674)
    - SSO help text does not appear translated (LP: #686647)
    - Nautilus is not aware of published files (LP: #661292)
    - Ubuntu One crashes in scan() (LP: #692496)
    - Volume info with None for free space causes QuotaExceeded (LP: #671023)
    - Settings daemon extension should not request credentials (LP: #702171)
 -- Rodney Dawes <email address hidden> Fri, 04 Mar 2011 12:10:05 -0500

Changed in ubuntuone-client (Ubuntu Maverick):
status: Fix Committed → Fix Released
tags: added: testcase
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers